POSTAuth

/auth/forgot_password

Forgot Password

Initiates a password reset process for the user with the provided email.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
None
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
requestauth.forgotPasswordRequestYesForgot Password request

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

requestBody parameterauth.forgotPasswordRequest
emailRequired
string
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/auth/forgot_password' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "email": "string"
}'
Request Body (application/json)
{
  "email": "string"
}

Responses

204No Content
unknownapplication/json
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}